# base.yaml
variant: flatcar
version: 1.0.0
storage:
  files:
    - path: /etc/hostname
      mode: 0644
      contents:
        inline: node
      replace: true
    - path: /etc/sysctl.d/20-quiet-console.conf
      mode: 0644
      contents:
        inline: |
          kernel.printk = 3 3 3 3
    - path: /etc/systemd/system/serial-getty@ttyS0.service.d/override.conf
      mode: 0644
      contents:
        inline: |
          [Service]
          ExecStart=
          ExecStart=-/sbin/agetty --noclear -a root %I $TERM
systemd:
  units:
    - name: systemd-sysctl.service
      enabled: true
